UiPath Documentation
document-understanding
latest
false
Guia da API do Document Understanding
  • Introdução
    • Visão geral
    • Limites e cota
    • Migração de automações da API do Document Understanding v1 para v2
  • Exemplos usando a API do Document Understanding™ Cloud v1
  • Licenciamento
  • Solução de problemas
Importante :
A tradução automática foi aplicada parcialmente neste conteúdo. A localização de um conteúdo recém-publicado pode levar de 1 a 2 semanas para ficar disponível.

Obter a solicitação de extração

Recuperar uma solicitação de extração assíncrona e interpretar a resposta, incluindo o status da solicitação e os detalhes do campo.

Dica:

Para obter informações detalhadas sobre o esquema de respostas, verifique a página Esquemas de respostas de solicitações. Lá, você pode encontrar mais informações sobre o status da solicitação e outro campo.

Obter os campos de extração de um documento​

Use o operationID recebido anteriormente na resposta da chamada POST.

Dica:

A ID do projeto é obtida a partir da resposta recebida da chamada Get project information.

curl -X 'GET' \ 'https://{AutomationCloudURL}/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/extractors/invoices/extraction/result/eee0a911-dfe8-ed11-907c-6045bd9d17d0?api-version=1' \ 
-H 'accept: text/plain' \ 
-H 'Authorization: Bearer <your-access-token>'
curl -X 'GET' \ 'https://{AutomationCloudURL}/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/extractors/invoices/extraction/result/eee0a911-dfe8-ed11-907c-6045bd9d17d0?api-version=1' \ 
-H 'accept: text/plain' \ 
-H 'Authorization: Bearer <your-access-token>'

Obtenha a resposta da extração de campos de um documento​

Este exemplo foi cortado para fins de legibilidade.

{
  "status": "Succeeded",
  "createdAt": "2023-05-02T11:47:10.0145504Z",
  "lastUpdatedAt": "2023-05-02T11:47:12.6533333Z",
  "result": {
    "extractionResult": {
      "documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
      "resultsVersion": 0,
      "resultsDocument": {
        "bounds": {
          "startPage": 0,
          "pageCount": 1,
          "textStartIndex": 0,
          "textLength": 929
        },
        "language": "eng",
        "documentGroup": "",
        "documentCategory": "",
        "documentTypeId": "invoices",
        "documentTypeName": "Invoices",
        "documentTypeDataVersion": 0,
        "dataVersion": 0,
        "documentTypeSource": "Automatic",
        "documentTypeField": {
          "components": [],
          "value": "Invoices",
          "unformattedValue": "",
          "reference": {
            "textStartIndex": 0,
            "textLength": 0,
            "tokens": []
          },
          "derivedFields": [],
          "confidence": 1,
          "operatorConfirmed": false,
          "ocrConfidence": -1,
          "textType": "Unknown"
        },
        "fields": [
          {
            "fieldId": "iban",
            "fieldName": "IBAN",
            "fieldType": "Text",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          },
          {
            "fieldId": "bank-addr",
            "fieldName": "Bank Address",
            "fieldType": "Text",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          },
          {
            "fieldId": "tax-rate",
            "fieldName": "Tax Rate",
            "fieldType": "Number",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          }
        ],
        "tables": [
          {
            "fieldId": "items",
            "fieldName": "items",
            "isMissing": false,
            "dataSource": "Automatic",
            "dataVersion": 0,
            "operatorConfirmed": false,
            "values": [
              {
                "operatorConfirmed": false,
                "confidence": 0.8858047,
                "ocrConfidence": -1,
                "cells": [
                  {
                    "rowIndex": 1,
                    "columnIndex": 5,
                    "isHeader": false,
                    "isMissing": true,
                    "operatorConfirmed": false,
                    "dataSource": "Automatic",
                    "dataVersion": 0,
                    "values": null
                  },
                  {
                    "rowIndex": 1,
                    "columnIndex": 6,
                    "isHeader": false,
                    "isMissing": true,
                    "operatorConfirmed": false,
                    "dataSource": "Automatic",
                    "dataVersion": 0,
                    "values": null
                  }
                ],
                "columnInfo": [
                  {
                    "fieldId": "description",
                    "fieldName": "Description",
                    "fieldType": "Text"
                  },
                  {
                    "fieldId": "quantity",
                    "fieldName": "Quantity",
                    "fieldType": "Number"
                  },

                ],
                "numberOfRows": 2
              }
            ]
          }
        ]
      },
      "extractorPayloads": null,
      "businessRulesResults": null
    }
  }
}
{
  "status": "Succeeded",
  "createdAt": "2023-05-02T11:47:10.0145504Z",
  "lastUpdatedAt": "2023-05-02T11:47:12.6533333Z",
  "result": {
    "extractionResult": {
      "documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
      "resultsVersion": 0,
      "resultsDocument": {
        "bounds": {
          "startPage": 0,
          "pageCount": 1,
          "textStartIndex": 0,
          "textLength": 929
        },
        "language": "eng",
        "documentGroup": "",
        "documentCategory": "",
        "documentTypeId": "invoices",
        "documentTypeName": "Invoices",
        "documentTypeDataVersion": 0,
        "dataVersion": 0,
        "documentTypeSource": "Automatic",
        "documentTypeField": {
          "components": [],
          "value": "Invoices",
          "unformattedValue": "",
          "reference": {
            "textStartIndex": 0,
            "textLength": 0,
            "tokens": []
          },
          "derivedFields": [],
          "confidence": 1,
          "operatorConfirmed": false,
          "ocrConfidence": -1,
          "textType": "Unknown"
        },
        "fields": [
          {
            "fieldId": "iban",
            "fieldName": "IBAN",
            "fieldType": "Text",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          },
          {
            "fieldId": "bank-addr",
            "fieldName": "Bank Address",
            "fieldType": "Text",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          },
          {
            "fieldId": "tax-rate",
            "fieldName": "Tax Rate",
            "fieldType": "Number",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          }
        ],
        "tables": [
          {
            "fieldId": "items",
            "fieldName": "items",
            "isMissing": false,
            "dataSource": "Automatic",
            "dataVersion": 0,
            "operatorConfirmed": false,
            "values": [
              {
                "operatorConfirmed": false,
                "confidence": 0.8858047,
                "ocrConfidence": -1,
                "cells": [
                  {
                    "rowIndex": 1,
                    "columnIndex": 5,
                    "isHeader": false,
                    "isMissing": true,
                    "operatorConfirmed": false,
                    "dataSource": "Automatic",
                    "dataVersion": 0,
                    "values": null
                  },
                  {
                    "rowIndex": 1,
                    "columnIndex": 6,
                    "isHeader": false,
                    "isMissing": true,
                    "operatorConfirmed": false,
                    "dataSource": "Automatic",
                    "dataVersion": 0,
                    "values": null
                  }
                ],
                "columnInfo": [
                  {
                    "fieldId": "description",
                    "fieldName": "Description",
                    "fieldType": "Text"
                  },
                  {
                    "fieldId": "quantity",
                    "fieldName": "Quantity",
                    "fieldType": "Number"
                  },

                ],
                "numberOfRows": 2
              }
            ]
          }
        ]
      },
      "extractorPayloads": null,
      "businessRulesResults": null
    }
  }
}

Esta página foi útil?

Conectar

Precisa de ajuda? Suporte(opens in new window)

Quer aprender? Academia UiPath(opens in new window)

Tem perguntas? Fórum do UiPath(opens in new window)

Fique por dentro das novidades